Hello community,

here is the log from the commit of package yast2-bootloader for 
openSUSE:Factory checked in at 2018-02-12 10:07:09
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/yast2-bootloader (Old)
 and      /work/SRC/openSUSE:Factory/.yast2-bootloader.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "yast2-bootloader"

Mon Feb 12 10:07:09 2018 rev:252 rq:574682 version:4.0.16

Changes:
--------
--- /work/SRC/openSUSE:Factory/yast2-bootloader/yast2-bootloader.changes        
2018-02-07 18:18:26.436763790 +0100
+++ /work/SRC/openSUSE:Factory/.yast2-bootloader.new/yast2-bootloader.changes   
2018-02-12 10:07:10.958873505 +0100
@@ -1,0 +2,6 @@
+Fri Feb  9 13:39:03 UTC 2018 - jlo...@suse.com
+
+- Adapt to new MountPoint API (part of fate#318196).
+- 4.0.16
+
+-------------------------------------------------------------------

Old:
----
  yast2-bootloader-4.0.15.tar.bz2

New:
----
  yast2-bootloader-4.0.16.tar.bz2

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ yast2-bootloader.spec ++++++
--- /var/tmp/diff_new_pack.X8vEwX/_old  2018-02-12 10:07:12.150830547 +0100
+++ /var/tmp/diff_new_pack.X8vEwX/_new  2018-02-12 10:07:12.150830547 +0100
@@ -17,7 +17,7 @@
 
 
 Name:           yast2-bootloader
-Version:        4.0.15
+Version:        4.0.16
 Release:        0
 
 BuildRoot:      %{_tmppath}/%{name}-%{version}-build
@@ -27,8 +27,8 @@
 BuildRequires:  yast2 >= 3.1.176
 BuildRequires:  yast2-devtools >= 3.1.10
 BuildRequires:  yast2-ruby-bindings >= 1.0.0
-# Y2Storage::Devicegraph#find_by_any_name
-BuildRequires:  yast2-storage-ng >= 4.0.67
+# Y2Storage::Mountable#mount_path
+BuildRequires:  yast2-storage-ng >= 4.0.90
 # lenses needed also for tests
 BuildRequires:  augeas-lenses
 BuildRequires:  rubygem(%rb_default_ruby_abi:cfa_grub2) >= 0.5.1
@@ -42,8 +42,8 @@
 Requires:       yast2-core >= 2.18.7
 Requires:       yast2-packager >= 2.17.24
 Requires:       yast2-pkg-bindings >= 2.17.25
-# Y2Storage::Devicegraph#find_by_any_name
-Requires:       yast2-storage-ng >= 4.0.67
+# Y2Storage::Mountable#mount_path
+Requires:       yast2-storage-ng >= 4.0.90
 # GrubCfg with boot_entries that filter out unbootable entries
 Requires:       rubygem(%rb_default_ruby_abi:cfa_grub2) >= 0.5.1
 # lenses are needed as cfa_grub2 depends only on augeas bindings, but also

++++++ yast2-bootloader-4.0.15.tar.bz2 -> yast2-bootloader-4.0.16.tar.bz2 ++++++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-bootloader-4.0.15/package/yast2-bootloader.changes 
new/yast2-bootloader-4.0.16/package/yast2-bootloader.changes
--- old/yast2-bootloader-4.0.15/package/yast2-bootloader.changes        
2018-02-06 15:55:34.000000000 +0100
+++ new/yast2-bootloader-4.0.16/package/yast2-bootloader.changes        
2018-02-09 15:16:26.000000000 +0100
@@ -1,4 +1,10 @@
 -------------------------------------------------------------------
+Fri Feb  9 13:39:03 UTC 2018 - jlo...@suse.com
+
+- Adapt to new MountPoint API (part of fate#318196).
+- 4.0.16
+
+-------------------------------------------------------------------
 Tue Feb  6 14:48:12 UTC 2018 - jreidin...@suse.com
 
 - Fix activating partition by UUID or label (bsc#1077427,
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-bootloader-4.0.15/package/yast2-bootloader.spec 
new/yast2-bootloader-4.0.16/package/yast2-bootloader.spec
--- old/yast2-bootloader-4.0.15/package/yast2-bootloader.spec   2018-02-06 
15:55:34.000000000 +0100
+++ new/yast2-bootloader-4.0.16/package/yast2-bootloader.spec   2018-02-09 
15:16:26.000000000 +0100
@@ -17,7 +17,7 @@
 
 
 Name:           yast2-bootloader
-Version:        4.0.15
+Version:        4.0.16
 Release:        0
 
 BuildRoot:      %{_tmppath}/%{name}-%{version}-build
@@ -27,8 +27,8 @@
 BuildRequires:  yast2 >= 3.1.176
 BuildRequires:  yast2-devtools >= 3.1.10
 BuildRequires:  yast2-ruby-bindings >= 1.0.0
-# Y2Storage::Devicegraph#find_by_any_name
-BuildRequires:  yast2-storage-ng >= 4.0.67
+# Y2Storage::Mountable#mount_path
+BuildRequires:  yast2-storage-ng >= 4.0.90
 # lenses needed also for tests
 BuildRequires:  augeas-lenses
 BuildRequires:  rubygem(%rb_default_ruby_abi:cfa_grub2) >= 0.5.1
@@ -42,8 +42,8 @@
 Requires:       yast2-core >= 2.18.7
 Requires:       yast2-packager >= 2.17.24
 Requires:       yast2-pkg-bindings >= 2.17.25
-# Y2Storage::Devicegraph#find_by_any_name
-Requires:       yast2-storage-ng >= 4.0.67
+# Y2Storage::Mountable#mount_path
+Requires:       yast2-storage-ng >= 4.0.90
 # GrubCfg with boot_entries that filter out unbootable entries
 Requires:       rubygem(%rb_default_ruby_abi:cfa_grub2) >= 0.5.1
 # lenses are needed as cfa_grub2 depends only on augeas bindings, but also
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-bootloader-4.0.15/src/lib/bootloader/grub2efi.rb 
new/yast2-bootloader-4.0.16/src/lib/bootloader/grub2efi.rb
--- old/yast2-bootloader-4.0.15/src/lib/bootloader/grub2efi.rb  2018-02-06 
15:55:34.000000000 +0100
+++ new/yast2-bootloader-4.0.16/src/lib/bootloader/grub2efi.rb  2018-02-09 
15:16:26.000000000 +0100
@@ -37,9 +37,9 @@
 
       if pmbr_action
         fs = filesystems
-        efi_partition = fs.find { |f| f.mountpoint == "/boot/efi" }
-        efi_partition ||= fs.find { |f| f.mountpoint == "/boot" }
-        efi_partition ||= fs.find { |f| f.mountpoint == "/" }
+        efi_partition = fs.find { |f| f.mount_path == "/boot/efi" }
+        efi_partition ||= fs.find { |f| f.mount_path == "/boot" }
+        efi_partition ||= fs.find { |f| f.mount_path == "/" }
 
         raise "could not find boot partiton" unless efi_partition
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-bootloader-4.0.15/src/modules/BootStorage.rb 
new/yast2-bootloader-4.0.16/src/modules/BootStorage.rb
--- old/yast2-bootloader-4.0.15/src/modules/BootStorage.rb      2018-02-06 
15:55:34.000000000 +0100
+++ new/yast2-bootloader-4.0.16/src/modules/BootStorage.rb      2018-02-09 
15:16:26.000000000 +0100
@@ -237,7 +237,7 @@
 
     # Find the filesystem mounted to given mountpoint.
     def find_mountpoint(mountpoint)
-      staging.filesystems.find { |f| f.mountpoint == mountpoint }
+      staging.filesystems.find { |f| f.mount_path == mountpoint }
     end
 
     # In a device graph, starting at *device* (inclusive), find the parents


Reply via email to